CoefTermConsumer Class Referenceabstract

`#include <CoefTermConsumer.h>`

Inheritance diagram for CoefTermConsumer:

## Public Member Functions

virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)
virtual void | consumeRing (const VarNames &names)=0
virtual void | beginConsuming ()=0
virtual void | consume (const mpz_class &coef, const Term &term)=0
virtual void | doneConsuming ()=0

## Detailed Description

Definition at line 24 of file CoefTermConsumer.h.

## Constructor & Destructor Documentation

## ~CoefTermConsumer()

CoefTermConsumer::~CoefTermConsumer | ( |  | ) |

virtual

Definition at line 22 of file CoefTermConsumer.cpp.

## Member Function Documentation

## beginConsuming()

virtual void CoefTermConsumer::beginConsuming | ( |  | ) |

pure virtual

Implemented in CanonicalCoefTermConsumer, CoefBigTermConsumer, CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, HilbertIndependenceConsumer, HilbertIndependenceConsumer::RightConsumer, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, TotalDegreeCoefTermConsumer, TranslatingCoefTermConsumer, and UndeformConsumer.

## consume() [1/2]

virtual void CoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

pure virtual

Implemented in CanonicalCoefTermConsumer, CoefBigTermConsumer, HilbertIndependenceConsumer, HilbertIndependenceConsumer::RightConsumer, NullCoefTermConsumer, TotalDegreeCoefTermConsumer, TranslatingCoefTermConsumer, and UndeformConsumer.

## consume() [2/2]

void CoefTermConsumer::consume | ( | const Polynomial & | poly | ) |

virtual

Definition at line 25 of file CoefTermConsumer.cpp.

## consumeRing()

virtual void CoefTermConsumer::consumeRing | ( | const VarNames & | names | ) |

pure virtual

Implemented in CanonicalCoefTermConsumer, CoefBigTermConsumer, CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, HilbertIndependenceConsumer, HilbertIndependenceConsumer::RightConsumer, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, TotalDegreeCoefTermConsumer, TranslatingCoefTermConsumer, and UndeformConsumer.

## doneConsuming()

virtual void CoefTermConsumer::doneConsuming | ( |  | ) |

pure virtual

Implemented in CanonicalCoefTermConsumer, CoefBigTermConsumer, CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, HilbertIndependenceConsumer, HilbertIndependenceConsumer::RightConsumer, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, TotalDegreeCoefTermConsumer, TranslatingCoefTermConsumer, and UndeformConsumer.

The documentation for this class was generated from the following files:

- src/CoefTermConsumer.h
- src/CoefTermConsumer.cpp